package com.mx.dla.dda.admin.catalogos.pais.dtos;

import java.io.Serializable;

import com.mx.dla.global.dtos.BaseDTO;
	    
public class CatalogoPaisDTO extends BaseDTO implements Serializable{
	
	private static final long serialVersionUID = 1L;
	
	private Integer id;
	private String  nombre;
	private Integer idTerritorio;
	private Integer idRegion;
	private String  impuesto;
	private Integer estatus;
	private String  territorio;
	private String  region;
	
	public CatalogoPaisDTO(){}
	
	public CatalogoPaisDTO(CatalogoPaisDTO item){
		this.nombre       = item.getNombre();
		this.idTerritorio =  item.getIdTerritorio();
		this.idRegion     = item.getIdRegion();
		this.impuesto     = item.getImpuesto();
		this.estatus      = item.getEstatus();
	}
	
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public Integer getIdTerritorio() {
		return idTerritorio;
	}
	public void setIdTerritorio(Integer idTerritorio) {
		this.idTerritorio = idTerritorio;
	}
	public Integer getIdRegion() {
		return idRegion;
	}
	public void setIdRegion(Integer idRegion) {
		this.idRegion = idRegion;
	}
	public String getImpuesto() {
		return impuesto;
	}
	public void setImpuesto(String impuesto) {
		this.impuesto = impuesto;
	}
	public Integer getEstatus() {
		return estatus;
	}
	public void setEstatus(Integer estatus) {
		this.estatus = estatus;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTerritorio() {
		return territorio;
	}

	public void setTerritorio(String territorio) {
		this.territorio = territorio;
	}

	public String getRegion() {
		return region;
	}

	public void setRegion(String region) {
		this.region = region;
	}
	
	
}
